package config

import (
	"github.com/sirupsen/logrus"
	"gopkg.in/yaml.v3"
	"os"
)

// Config 公共参数
var Config settings

// InitConfig 配置初始化
func InitConfig(version string) error {
	var file []byte
	var err error
	if version == "dev" {
		file, err = os.ReadFile("./config/config.dev.yaml")
	} else {
		file, err = os.ReadFile("./config/config.prd.yaml")
	}
	if err != nil {
		logrus.Errorln("Error reading config file:", err)
		return err
	}
	err = yaml.Unmarshal(file, &Config)
	if err != nil {
		logrus.Errorln("Error parsing config file:", err)
		return err
	}
	return nil
}
